Skip to main content
`Ctrl`+`K`

# DMPlexSetOptionsPrefix

Sets the prefix used for searching for all `DM` options in the database.

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexSetOptionsPrefix(DM dm, const char prefix[])

Logically Collective

## Input Parameters

- dm - the `DM` context

- prefix - the prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `SNESSetFromOptions()`

## Level

advanced

## Location

src/dm/impls/plex/plexcreate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages